on prepareMovie
  global GroupList, PlayList, FinalsPlayList, ActivePlayList, ActiveGrouplist, MySave
  sprite(5).member = member(random(42) + 1, 2)
  sprite(95).visible = 0
  MySave = new(xtra("FileIO"))
  put status(MySave)
  if the machineType = 256 then
    MySavePlace = getOSDirectory() & "\" & "Knudde.PaW"
  else
    MySavePlace = getOSDirectory() & "Knudde.PaW"
  end if
  openFile(MySave, MySavePlace, 1)
  if status(MySave) <> 0 then
    createFile(MySave, MySavePlace)
    MakeCleanList()
    openFile(MySave, MySavePlace, 2)
    writeString(MySave, field("SaveList"))
    prepareMovie()
  else
    member(15, 3).scriptText = readFile(MySave)
    LoadList()
  end if
  closeFile(MySave)
  ActivePlayList = []
  ActiveGrouplist = []
  OneGroupInVis()
  FinalinVis(4)
  FinalinVis(2)
  FinalinVis(1)
  FillOverALl()
end

on FillOverALl
  global GroupList, PlayList, ActivePlayList, ActiveGrouplist, FinalsPlayList, FinalsTeam
  ActivePlayList = PlayList.GroupA
  ActiveGrouplist = GroupList.GroupA
  TempPlaces = CheckPoints()
  put EMPTY into field "PlaceGroup1"
  repeat with n = 1 to 4
    put field("PlaceGroup1") & getPropAt(ActiveGrouplist, getAt(TempPlaces, n)) & RETURN into field "PlaceGroup1"
  end repeat
  ActivePlayList = PlayList.GroupB
  ActiveGrouplist = GroupList.GroupB
  TempPlaces = CheckPoints()
  put EMPTY into field "PlaceGroup2"
  repeat with n = 1 to 4
    put field("PlaceGroup2") & getPropAt(ActiveGrouplist, getAt(TempPlaces, n)) & RETURN into field "PlaceGroup2"
  end repeat
  ActivePlayList = PlayList.GroupC
  ActiveGrouplist = GroupList.GroupC
  TempPlaces = CheckPoints()
  put EMPTY into field "PlaceGroup3"
  repeat with n = 1 to 4
    put field("PlaceGroup3") & getPropAt(ActiveGrouplist, getAt(TempPlaces, n)) & RETURN into field "PlaceGroup3"
  end repeat
  ActivePlayList = PlayList.GroupD
  ActiveGrouplist = GroupList.GroupD
  TempPlaces = CheckPoints()
  put EMPTY into field "PlaceGroup4"
  repeat with n = 1 to 4
    put field("PlaceGroup4") & getPropAt(ActiveGrouplist, getAt(TempPlaces, n)) & RETURN into field "PlaceGroup4"
  end repeat
  repeat with n = 1 to 7
    f1 = "Final" & n & "WhoHome"
    f2 = "Final" & n & "PointsHome"
    f3 = "Final" & n & "WhoOut"
    f4 = "Final" & n & "PointsOut"
    put getAt(getAt(FinalsTeam, n), 1) into field f1
    put getAt(getAt(FinalsTeam, n), 2) into field f3
    put getAt(getAt(FinalsPlayList, n), 1) into field f2
    put getAt(getAt(FinalsPlayList, n), 2) into field f4
  end repeat
end

on MakeCleanList
  put "on LoadList" & RETURN & "global GroupList,PlayList,FinalsPlayList,FinalsTeam" into field "SaveList"
  put field("SaveList") & RETURN & "GroupList = [#groupA:[ #Duitsland  :[ P:0 , W:0 , D:0 , L:0 , PO:0 , GF:0 , GT:0 , Alpha: 3 ] , #Roemenie  :[ P:0 , W:0 , D:0 , L:0 , PO:0 , GF:0 , GT:0 , Alpha:11 ],#Portugal   :[ P:0 , W:0 , D:0 , L:0 , PO:0 , GF:0 , GT:0 , Alpha:10 ] , #Engeland  :[ P:0 , W:0 , D:0 , L:0 , PO:0 , GF:0 , GT:0 , Alpha: 4 ]],#groupB:[ #Belgie     :[ P:0 , W:0 , D:0 , L:0 , PO:0 , GF:0 , GT:0 , Alpha: 1 ] , #Zweden    :[ P:0 , W:0 , D:0 , L:0 , PO:0 , GF:0 , GT:0 , Alpha:16 ],#Turkije    :[ P:0 , W:0 , D:0 , L:0 , PO:0 , GF:0 , GT:0 , Alpha:15 ] , #Italie    :[ P:0 , W:0 , D:0 , L:0 , PO:0 , GF:0 , GT:0 , Alpha: 6 ]],#groupC:[ #Spanje     :[ P:0 , W:0 , D:0 , L:0 , PO:0 , GF:0 , GT:0 , Alpha:13 ] , #Noorwegen :[ P:0 , W:0 , D:0 , L:0 , PO:0 , GF:0 , GT:0 , Alpha: 9 ],#Joegoslavie:[ P:0 , W:0 , D:0 , L:0 , PO:0 , GF:0 , GT:0 , Alpha: 7 ] , #Slovenie  :[ P:0 , W:0 , D:0 , L:0 , PO:0 , GF:0 , GT:0 , Alpha:12 ]],#groupD:[ #Nederland  :[ P:0 , W:0 , D:0 , L:0 , PO:0 , GF:0 , GT:0 , Alpha: 8 ] , #Tsjechie  :[ P:0 , W:0 , D:0 , L:0 , PO:0 , GF:0 , GT:0 , Alpha:14 ],#Frankrijk  :[ P:0 , W:0 , D:0 , L:0 , PO:0 , GF:0 , GT:0 , Alpha: 5 ] , #Denemarken:[ P:0 , W:0 , D:0 , L:0 , PO:0 , GF:0 , GT:0 , Alpha: 2 ]] ]" into field "SaveList"
  put field("SaveList") & RETURN & "PlayList = [ #groupA :[#game1:[#who:[#Duitsland:" & QUOTE & QUOTE & "  ,#Roemenie:" & QUOTE & QUOTE & "]] ,#Game2:[#Who:[#Portugal :" & QUOTE & QUOTE & ",#Engeland:" & QUOTE & QUOTE & "] ],#Game3:[#Who:[#Roemenie:" & QUOTE & QUOTE & "   ,#Portugal:" & QUOTE & QUOTE & "] ],#Game4:[#Who:[#Engeland:" & QUOTE & QUOTE & "   ,#Duitsland:" & QUOTE & QUOTE & "]],#Game5:[#Who:[#Engeland:" & QUOTE & QUOTE & "   ,#Roemenie:" & QUOTE & QUOTE & "] ],#Game6:[#Who:[#Portugal:" & QUOTE & QUOTE & "   ,#Duitsland:" & QUOTE & QUOTE & "] ]],#groupB :[#Game1:[#who:[#Belgie:" & QUOTE & QUOTE & "     ,#Zweden:" & QUOTE & QUOTE & "]    ] ,#Game2:[#who:[#Turkije:" & QUOTE & QUOTE & "    ,#Italie:" & QUOTE & QUOTE & "]    ] ,#Game3:[#who:[#Italie:" & QUOTE & QUOTE & "     ,#Belgie:" & QUOTE & QUOTE & "]    ] ,#Game4:[#who:[#Zweden:" & QUOTE & QUOTE & "    ,#Turkije:" & QUOTE & QUOTE & "]   ] ,#Game5:[#who:[#Turkije:" & QUOTE & QUOTE & "   ,#Belgie:" & QUOTE & QUOTE & "]    ] ,#Game6:[#who:[#Italie:" & QUOTE & QUOTE & "     ,#Zweden:" & QUOTE & QUOTE & "]     ]],#groupC :[#Game1:[#who:[#Spanje:" & QUOTE & QUOTE & "    ,#Noorwegen:" & QUOTE & QUOTE & "] ] ,#Game2:[#who:[#Joegoslavie:" & QUOTE & QUOTE & ",#Slovenie:" & QUOTE & QUOTE & "]  ] ,#Game3:[#who:[#Slovenie:" & QUOTE & QUOTE & ",#Spanje:" & QUOTE & QUOTE & "]     ] ,#Game4:[#who:[#Noorwegen:" & QUOTE & QUOTE & ",#Joegoslavie:" & QUOTE & QUOTE & "]] ,#Game5:[#who:[#Joegoslavie:" & QUOTE & QUOTE & ",#Spanje:" & QUOTE & QUOTE & "]      ] ,#Game6:[#who:[#Slovenie:" & QUOTE & QUOTE & "   ,#Noorwegen:" & QUOTE & QUOTE & "]  ]],#groupD :[#Game1:[#who:[#Frankrijk:" & QUOTE & QUOTE & "  ,#Denemarken:" & QUOTE & QUOTE & "]] ,#Game2:[#who:[#Nederland:" & QUOTE & QUOTE & ",#Tsjechie:" & QUOTE & QUOTE & "]  ] ,#Game3:[#who:[#Tsjechie:" & QUOTE & QUOTE & ",#Frankrijk:" & QUOTE & QUOTE & "] ] ,#Game4:[#who:[#Denemarken:" & QUOTE & QUOTE & ",#Nederland:" & QUOTE & QUOTE & "] ] ,#Game5:[#who:[#Denemarken:" & QUOTE & QUOTE & ",#Tsjechie:" & QUOTE & QUOTE & "]       ] ,#Game6:[#who:[#Frankrijk:" & QUOTE & QUOTE & "  ,#Nederland:" & QUOTE & QUOTE & "]  ]] ]" into field "SaveList"
  put field("SaveList") & RETURN & "FinalsPlayList = [ [" & QUOTE & QUOTE & "," & QUOTE & QUOTE & "],[" & QUOTE & QUOTE & "," & QUOTE & QUOTE & "],[" & QUOTE & QUOTE & "," & QUOTE & QUOTE & "],[" & QUOTE & QUOTE & "," & QUOTE & QUOTE & "],[" & QUOTE & QUOTE & "," & QUOTE & QUOTE & "],[" & QUOTE & QUOTE & "," & QUOTE & QUOTE & "],[" & QUOTE & QUOTE & "," & QUOTE & QUOTE & "],[" & QUOTE & QUOTE & "," & QUOTE & QUOTE & "] ]" into field "SaveList"
  put field("SaveList") & RETURN & "FinalsTeam = [ [" & QUOTE & QUOTE & "," & QUOTE & QUOTE & "],[" & QUOTE & QUOTE & "," & QUOTE & QUOTE & "],[" & QUOTE & QUOTE & "," & QUOTE & QUOTE & "],[" & QUOTE & QUOTE & "," & QUOTE & QUOTE & "],[" & QUOTE & QUOTE & "," & QUOTE & QUOTE & "],[" & QUOTE & QUOTE & "," & QUOTE & QUOTE & "],[" & QUOTE & QUOTE & "," & QUOTE & QUOTE & "],[" & QUOTE & QUOTE & "," & QUOTE & QUOTE & "] ]" into field "SaveList"
  put field("saveList") & RETURN & "end" into field "Savelist"
end
